View Issue Details

IDProjectCategoryView StatusLast Update
0003446gnunet-gtkgnunet-fs-gtkpublic2018-06-07 00:25
ReporterellAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSXubuntu-14.04-64amdOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003446: gnunet-fs-gtk-6330 ERROR Assertion failed at gnunet-fs-gtk_event-handler.c:1709
DescriptionRevision 33677

The error
"gnunet-fs-gtk-6330 ERROR Assertion failed at gnunet-fs-gtk_event-handler.c:1709"
happens when I push the destroy-button in the
menu of
gnunet-gtk->File-Sharing->mimetype:image->X

Pushing the X-button makes appear this message 3-times.

TagsNo tags attached.

Activities

Christian Grothoff

2014-06-17 22:05

manager   ~0008443

I cannot reproduce this; for further diagnostics, the following would help:
Stop gnunet-gtk, and run gnunet-fs-gtk under gdb ($ = shell prompt,
(gdb) = gdb prompt):

$ gdb `which gnunet-fs-gtk`
(gdb) break gnunet-fs-gtk_event-handler.c:1709
(gdb) run
=> window shows, do interactions until the 'crash', then type:
(gdb) ba
=> paste output from that here.

ell

2014-06-18 10:03

reporter   ~0008447

Last edited: 2014-06-18 10:04

View 2 revisions

Revision 33731

(gdb) ba
#0 free_search_result (sr=0x0) at gnunet-fs-gtk_event-handler.c:1709
#1 0x0000000000415e89 in GNUNET_GTK_fs_event_handler (cls=<Fehler beim Lesen der Variable: Cannot access memory at address 0x7fffffffd908>, info=0x7fffffffd910)
    at gnunet-fs-gtk_event-handler.c:4023
(gdb)

ell

2014-06-18 10:12

reporter   ~0008449

Last edited: 2014-06-18 10:14

View 2 revisions

Also observed in Revision 33731:
...
Jun 18 10:10:03-125806 gnunet-fs-gtk-3385 ERROR Assertion failed at gnunet-fs-gtk_event-handler.c:2138.
Jun 18 10:10:03-125943 gnunet-fs-gtk-3385 ERROR Assertion failed at gnunet-fs-gtk_event-handler.c:2138.
Jun 18 10:10:03-126074 gnunet-fs-gtk-3385 ERROR Assertion failed at gnunet-fs-gtk_event-handler.c:2138.

and when killing gnunet-gtk:
(gnunet-gtk:3380): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:3380): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(gnunet-gtk:3380): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:3380): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(gnunet-gtk:3380): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:3380): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(gnunet-gtk:3380): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:3380): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

Christian Grothoff

2014-06-18 10:12

manager   ~0008450

Whopsi. Rather unexpected, a corrupt stack. :-(.

Could you re-run "./configure" for both gnunet/ and gnunet-gtk/ with the additional flags "--enable-gcc-hardening --enable-linker-hardening" followed by the usual 'make clean install'? Afterwards, the error should 'change'. At least in theory -- and possibly give me the location where the stack got corrupted.

Alternatively (or additionally), running the program using
$ valgrind --log-file=report.log `which gnunet-fs-gtk`
might also show something (in report.log, which should then be uploaded).

ell

2014-06-18 10:49

reporter   ~0008452

After re-run with --enable-gcc-hardening --enable-linker-hardening
for gnunet and gnunet-gtk and starting with

gnunet@Xubu-14:~$ gnunet-arm -c /etc/gnunet.conf -s
gnunet@Xubu-14:~$ Jun 18 10:28:44-706498 peerinfo-31942 ERROR Assertion failed at gnunet-service-peerinfo.c:607.
Jun 18 10:28:44-723484 peerinfo-31942 ERROR Assertion failed at gnunet-service-peerinfo.c:607.

ell@Xubu-14:~/gnunet$ gnunet-arm -c ~/.config/gnunet.conf -s
ell@Xubu-14:~/gnunet$

Now I get from gdb:

ell@Xubu-14:~/gnunet-gtk$ gdb `which gnunet-fs-gtk`
GNU gdb (Ubuntu 7.7-0ubuntu3.1) 7.7
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/local/bin/gnunet-fs-gtk...done.
(gdb) break gnunet-fs-gtk_event-handler.c:1709
Haltepunkt 1 at 0x11a10: gnunet-fs-gtk_event-handler.c:1709. (2 locations)
(gdb) run
Starting program: /usr/local/bin/gnunet-fs-gtk
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffecbe8700 (LWP 32270)]
[New Thread 0x7fffe7577700 (LWP 32271)]
[New Thread 0x7fffe6b59700 (LWP 32273)]
[New Thread 0x7fffe6358700 (LWP 32274)]
[New Thread 0x7fffe4fb5700 (LWP 32275)]
[Thread 0x7fffe6b59700 (LWP 32273) exited]
[Thread 0x7fffe6358700 (LWP 32274) exited]
Jun 18 10:35:59-824898 gnunet-fs-gtk-32266 WARNING External protocol violation detected at fs_search.c:749.
Jun 18 10:35:59-825332 gnunet-fs-gtk-32266 ERROR Failed to parse URI `gnunet://fs/loc/181MQF8PDC29QKB2GAJVEM1FNTL0TDUH9QK17FDO11TKCRT2T59IRU3V3Q1O26JTMD3TK2PLB7E54KPENJ6BSIASKOCE4TANLC747G0.0NR9VCHIELK8P6PPS0V973SNBD4HF0KB0BFCPNPNF8H259VO5ELQAG8HQ9P0LF5J2G8JVLKC5LH3OGOFDMVI37DSF9KO0SPUVV1GV6G.2103.J5HC2C1BV0JK14S3VPUVEDMETGLIEUO0OAC22C59C3H7R6PCOL1G.3TI843NSIQ3P5NVNKA6FBC706J6C4UB5H1ILLARVTC9UJECUNND28FJVCP9B1RV1C75MHNRID36B6EJEBQP3E7VG0R62VJVL38JR02G.1419781505': LOC URI malformed (signature failed validation)
Jun 18 10:36:00-128183 gnunet-fs-gtk-32266 WARNING External protocol violation detected at fs_search.c:749.
Jun 18 10:36:00-128684 gnunet-fs-gtk-32266 ERROR Failed to parse URI `gnunet://fs/loc/EMBLIBFG0E6TG8VUNB5GLTN12GNO2UR69A991CE0OC8IC01OBHHDC5D8HGMB6RVALMD26I935IJB58J7P4NC8JON16UPIKDKDKSHEQ8.ATB90B270I6T349SUPIKFI627IVKO0KOOQOH0LDQ926HGGT3OE02211KOGL48D70RGJCKGR3R4S9DG7V1HTFMGE7J6NKNQRSN0A5B5G.6192.J5HC2C1BV0JK14S3VPUVEDMETGLIEUO0OAC22C59C3H7R6PCOL1G.SDNUHD5DA07MBJN487GIPKDJSM1ARLS51M93IBAIEVQ2QD6KL6U2DP7OAKO35BS67FVEIHM04KG8UL5EJBQBMTPBFPV5CPTEGI6NQ3O.1419781505': LOC URI malformed (signature failed validation)
Jun 18 10:36:00-187491 gnunet-fs-gtk-32266 WARNING External protocol violation detected at fs_search.c:749.
Jun 18 10:36:00-187949 gnunet-fs-gtk-32266 ERROR Failed to parse URI `gnunet://fs/loc/EQQDLU7U0K0A9B67OSUN2E92JB6GE5T0LJSSHH082A95BDBLO5I4Q165RACG3J608P1NO77OBFHPGP12GN8BQ83U0AKNQEB8K0JU728.EV4JS1RSM3JL5Q851VUS6J5NI7RPE9H2V0QIFP5AM3BOJ3CUSRMQ5TL7LD12Q007OCVE5OHLTKAV0NQJI0D062834R48MA78HFBSOH8.2653.76SMQBV45CM4TMHP45RDM4GHRVV6LCN02DFDF6SJQDPDI1GL7KLG.7IRAMI4J0MM6CDL2GTH7N4J0D6VILACTH4I00JD8RNSQST01A7J8ABULNATBLR7EMSUPQM9NCSJ9PR4P6CT9AAT6ON110B5VVBDD81O.1424224657': LOC URI malformed (signature failed validation)
[New Thread 0x7fffe6358700 (LWP 32280)]
[New Thread 0x7fffe6b59700 (LWP 32281)]
[New Thread 0x7fffc96c7700 (LWP 32282)]
[Thread 0x7fffe6b59700 (LWP 32281) exited]
[Thread 0x7fffc96c7700 (LWP 32282) exited]
[Thread 0x7fffe6358700 (LWP 32280) exited]
Jun 18 10:36:29-077842 gnunet-fs-gtk-32266 ERROR Invalid keyword string `': No keywords specified!
[Thread 0x7fffe4fb5700 (LWP 32275) exited]
[Thread 0x7fffe7577700 (LWP 32271) exited]
[Thread 0x7fffecbe8700 (LWP 32270) exited]
[Inferior 1 (process 32266) exited normally]
(gdb) ba
No stack.
(gdb)


When I restart gnunet-gtk no errors pop up, but when I kill gnunet-gtk
via destroy button:

ell@Xubu-14:~/gnunet-gtk$ gnunet-gtk
        
(gnunet-gtk:32534): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:32534): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(gnunet-gtk:32534): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:32534): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(gnunet-gtk:32534): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:32534): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(gnunet-gtk:32534): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:32534): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(gnunet-gtk:32534): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:32534): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(gnunet-gtk:32534): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:32534): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

ell

2014-06-22 16:44

reporter   ~0008458

Valgrind run:

==4334== Memcheck, a memory error detector
==4334== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==4334== Using Valgrind-3.10.0.SVN and LibVEX; rerun with -h for copyright info
==4334== Command: /usr/local/bin/gnunet-fs-gtk
==4334== Parent PID: 2591
==4334==
==4334== Conditional jump or move depends on uninitialised value(s)
==4334== at 0xD6B8C6C: ??? (in /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.30.2)
==4334== by 0xD69E8AB: ??? (in /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.30.2)
==4334== by 0xD653840: pixman_image_composite32 (in /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.30.2)
==4334== by 0xA2B0C56: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2F1E23: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2E4CBB: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2E569A: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2E62B6: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2A4A63: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2B4E22: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2E9411: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2AC1E1: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334==
==4334== Conditional jump or move depends on uninitialised value(s)
==4334== at 0xD6B8F74: ??? (in /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.30.2)
==4334== by 0xD69E8AB: ??? (in /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.30.2)
==4334== by 0xD653840: pixman_image_composite32 (in /usr/lib/x86_64-linux-gnu/libpixman-1.so.0.30.2)
==4334== by 0xA2B0C56: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2F1E23: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2E4CBB: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2E569A: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2E62B6: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2A4A63: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2B4E22: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2E9411: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334== by 0xA2AC1E1: ??? (in /usr/lib/x86_64-linux-gnu/libcairo.so.2.11301.0)
==4334==
==4334== Conditional jump or move depends on uninitialised value(s)
==4334== at 0x2846E337: ??? (in /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.40.2)
==4334== by 0x2846EF07: rsvg_handle_get_pixbuf_sub (in /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.40.2)
==4334== by 0x2821CE45: ??? (in /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so)
==4334== by 0x725A1FA: gdk_pixbuf_loader_close (in /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.3000.7)
==4334== by 0x7256434: ??? (in /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.3000.7)
==4334== by 0x725807C: gdk_pixbuf_new_from_stream_at_scale (in /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0.3000.7)
==4334== by 0x669484A: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1000.8)
==4334== by 0x6697FE9: gtk_icon_info_load_icon (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1000.8)
==4334== by 0x6698CB2: gtk_icon_info_load_symbolic_for_context (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1000.8)
==4334== by 0x669200F: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1000.8)
==4334== by 0x674E3E8: ??? (in /usr/lib/x86_64-linux-gnu/libgtk-3.so.0.1000.8)
==4334== by 0x4E3E996: GNUNET_GTK_tray_icon_create (trayicon.c:147)
==4334==
==4334==
==4334== HEAP SUMMARY:
==4334== in use at exit: 6,978,978 bytes in 84,095 blocks
==4334== total heap usage: 4,819,910 allocs, 4,735,815 frees, 1,546,786,296 bytes allocated
==4334==
==4334== LEAK SUMMARY:
==4334== definitely lost: 26,045 bytes in 55 blocks
==4334== indirectly lost: 15,578 bytes in 654 blocks
==4334== possibly lost: 218,000 bytes in 3,091 blocks
==4334== still reachable: 6,249,995 bytes in 78,067 blocks
==4334== suppressed: 0 bytes in 0 blocks
==4334== Rerun with --leak-check=full to see details of leaked memory
==4334==
==4334== For counts of detected and suppressed errors, rerun with: -v
==4334== Use --track-origins=yes to see where uninitialised values come from
==4334== ERROR SUMMARY: 95 errors from 3 contexts (suppressed: 0 from 0)

Christian Grothoff

2014-07-12 21:42

manager   ~0008519

Last edited: 2014-07-12 21:43

View 3 revisions

Just reproduced this!!! Now understand what was required:
1) keyword search
+) restriction to image results
+) actual results ;-)
+) close search

Christian Grothoff

2014-07-12 22:29

manager   ~0008520

Should be fixed in SVN 33957.

Issue History

Date Modified Username Field Change
2014-06-17 10:43 ell New Issue
2014-06-17 22:05 Christian Grothoff Note Added: 0008443
2014-06-18 10:03 ell Note Added: 0008447
2014-06-18 10:04 ell Note Edited: 0008447 View Revisions
2014-06-18 10:12 ell Note Added: 0008449
2014-06-18 10:12 Christian Grothoff Note Added: 0008450
2014-06-18 10:14 ell Note Edited: 0008449 View Revisions
2014-06-18 10:49 ell Note Added: 0008452
2014-06-18 14:45 Christian Grothoff Assigned To => Christian Grothoff
2014-06-18 14:45 Christian Grothoff Status new => assigned
2014-06-22 16:44 ell Note Added: 0008458
2014-07-12 21:42 Christian Grothoff Note Added: 0008519
2014-07-12 21:43 Christian Grothoff Note Edited: 0008519 View Revisions
2014-07-12 21:43 Christian Grothoff Note Edited: 0008519 View Revisions
2014-07-12 22:29 Christian Grothoff Note Added: 0008520
2014-07-12 22:29 Christian Grothoff Status assigned => resolved
2014-07-12 22:29 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-07-12 22:29 Christian Grothoff Resolution open => fixed
2014-07-12 22:29 Christian Grothoff Product Version => SVN HEAD
2014-07-12 22:29 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed